Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.visitortools.invitation
Interface InviterInvoker

    public interface InviterInvoker

This control is used to invite members to join the associated community through notification invitations.

You must add at least one invitee and set the details of the invitation before sending the invitation.

This control must be called within a context of a ServletRequest or an exception will be thrown.

Field Summary
`static String` | `INVITATION_PROPERTY_MESSAGE_BODY` Represents the custom attribute name of the "invitationMessageBody" that is placed in the details of the invitation.
`static String` | `INVITATION_PROPERTY_MESSAGE_FROM_NAME` Represents the custom attribute name of the "messageFromName" that is placed in the details of the invitation.

Method Summary
`void` | `addExternal(Collection<String> addresses)` This method is intended to handle sending of invitations using external messaging architectures (i.e.
`void` | `addExternal(Map<String,Set<String>> addressesAndCapabilities)` This method is intended to handle sending of invitations using external messaging architectures (i.e.
`void` | `addExternal(String address)` Adds an address to the list of invitees.
`void` | `addExternal(String address, Collection<String> capabilities)` Adds an address to the list of invitees with the provided capabilities.
`void` | `addUser(String username)` Adds a user to the list of invitees.
`void` | `addUser(String username, Set<String> capabilities)` This will add the provided user to the collection of invitees.
`void` | `addUsers(Collection<String> usernames)` Add a collection of domain users to the list of invitees.
`void` | `addUsers(Map<String,Set<String>> usersAndCapabilities)` Adds the provided users (along with the provided set of capabilities)
`void` | `sendInvitation(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)` Sends the invitation to the set of invitees.
`void` | `setCommunityDefinitionId(CommunityDefinitionId cdefId)` Sets the community definition id for this control.
`void` | `setInvitationExpiration(Timestamp ts)` Sets the expiration date/time of the invitation.
`void` | `setInvitationFromName(String messageFromName)` Sets the name of the person that the invitation is set from.
`void` | `setInvitationMessage(String messageBody)` Sets the message body of the invitation.
`void` | `setInvitationSelfDestruct(boolean selfDestructFlag)` Determines whether the invitation will be destroyed upon consumption of the invitation.
`void` | `setPortalAndDesktopPath(String portalPath, String desktopPath)` Sets the portal path and desktop path.

Field Detail

### INVITATION_PROPERTY_MESSAGE_BODY

    static final String INVITATION_PROPERTY_MESSAGE_BODY

  Represents the custom attribute name of the "invitationMessageBody" that is placed in the details of the invitation.

  See Also
    Constants Summary

### INVITATION_PROPERTY_MESSAGE_FROM_NAME

    static final String INVITATION_PROPERTY_MESSAGE_FROM_NAME

  Represents the custom attribute name of the "messageFromName" that is placed in the details of the invitation.

  See Also
    Constants Summary

Method Detail

### setCommunityDefinitionId

    void setCommunityDefinitionId(CommunityDefinitionId cdefId)

  Sets the community definition id for this control.

  This will be used to retrieve the community context when the invitation is sent.

  Parameters
    `cdefId` - The community definition id to use when retrieving the community context.

### setPortalAndDesktopPath

    void setPortalAndDesktopPath(String portalPath,
                                 String desktopPath)

  Sets the portal path and desktop path.

  This will be used to retrieve the community context when the invitation is sent.

  Parameters
    `portalPath` - The portalPath used to retrieve the community context
    `desktopPath` - The desktopPath used to retrieve the community context.

### addUser

    void addUser(String username,
                 Set<String> capabilities)
                 throws IllegalArgumentException

  This will add the provided user to the collection of invitees.

  It is assumed that a valid domain username is provided as no validation will be performed.

  Parameters
    `username` - The username to add
    `capabilities` - A collection of valid membership capability names that will be applied to the user.
  Throws
    `IllegalArgumentException` - If any of the membership capabilities do not exist.

### addUser

    void addUser(String username)

  Adds a user to the list of invitees. No capabilities will be assigned to the user passed into this method.

  It is assumed that a valid domain username is provided as no validation will be performed.

  Parameters
    `username` - - A wls username

### addUsers

    void addUsers(Collection<String> usernames)
                  throws IllegalArgumentException

  Add a collection of domain users to the list of invitees. No capabilities will be assigned to the invitees passed into this method.

  It is assumed that a valid domain username is provided as no validation will be performed.

  Parameters
    `usernames` - - A collection of usernames of users to invite.
  Throws
    `IllegalArgumentException`

### addExternal

    void addExternal(Collection<String> addresses)
                     throws IllegalOperationException

  This method is intended to handle sending of invitations using external messaging architectures (i.e. email, instant messaging, etc) in which a domain username does not apply.

  This method will throw an IllegalOperationException if it is not supported.

  Parameters
    `addresses` -
  Throws
    `IllegalOperationException`

### addExternal

    void addExternal(String address)
                     throws IllegalOperationException

  Adds an address to the list of invitees. No capabilities will be assigned to the address passed into this method.

  Parameters
    `address` - - Some external address (email, yim, etc).
  Throws
    `IllegalOperationException`

### addExternal

    void addExternal(String address,
                     Collection<String> capabilities)
                     throws IllegalOperationException,
                            IllegalArgumentException

  Adds an address to the list of invitees with the provided capabilities.

  Parameters
    `address` - - Some external address (email, yim, etc).
    `capabilities` - - The collection of membership capabilities.
  Throws
    `IllegalArgumentException` - If an invalid membership capability was provided.
    `IllegalOperationException`

### addExternal

    void addExternal(Map<String,Set<String>> addressesAndCapabilities)
                     throws IllegalOperationException,
                            IllegalArgumentException

  This method is intended to handle sending of invitations using external messaging architectures (i.e. email, instant messaging, etc) in which a domain username does not apply.

  This method will throw an IllegalOperationException if it is not supported.

  Parameters
    `addressesAndCapabilities` - The map of usernames and associated capabilities.
  Throws
    `IllegalOperationException` - If this method is not supported by the implementation.
    `IllegalArgumentException` - If an invalid membership capability was provided.

### addUsers

    void addUsers(Map<String,Set<String>> usersAndCapabilities)
                  throws IllegalArgumentException

  Adds the provided users (along with the provided set of capabilities)

  The structure of the map must represent the domain username as the key, along with the collection of membership capabilities (in string format) as the value.

  For example:

  Key Capabilities --------------------------------------------- johndoe creator owner janedoe visitor

  Parameters
    `usersAndCapabilities` - The map containing the usernames and capabilities
  Throws
    `IllegalArgumentException` - If any of the membership capability names are invalid.

### setInvitationMessage

    void setInvitationMessage(String messageBody)

  Sets the message body of the invitation.

  Parameters
    `messageBody` - - The body of the message.

### setInvitationFromName

    void setInvitationFromName(String messageFromName)

  Sets the name of the person that the invitation is set from.

  Parameters
    `messageFromName` - - The name of the person sending the invitation.

### setInvitationExpiration

    void setInvitationExpiration(Timestamp ts)

  Sets the expiration date/time of the invitation. Default is one week from when the invitation is sent.

  Parameters
    `ts` - Timestamp representing the expiration of the invitation.

### setInvitationSelfDestruct

    void setInvitationSelfDestruct(boolean selfDestructFlag)

  Determines whether the invitation will be destroyed upon consumption of the invitation.

  Defaults to true.

  Parameters
    `selfDestructFlag` -

### sendInvitation

    void sendInvitation(javax.servlet.ServletRequest request,
                        javax.servlet.ServletResponse response)
                        throws NetuixException

  Sends the invitation to the set of invitees.

  Throws
    `NetuixException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.